<?php
/*
Plugin Name: WP File Cache
Plugin URI: http://blog.sjinks.org.ua/php/wordpress/190-wp-file-cache-replacement-for-wp_object_cache-with-persistent-caching/
Description: File Cache for WordPress - replacement for standard WPCache
Author: Vladimir Kolesnikov
Version: 0.2.1
Author URI: http://blog.sjinks.org.ua/
*/

    require_once(dirname(dirname(dirname(dirname(__FILE__)))) . '/wp-config.php');

    class WpFileCache
    {
        public function __construct()
        {
            add_action('activate_file-cache/file-cache.php', array(&$this, 'activate'));
            add_action('deactivate_file-cache/file-cache.php', array(&$this, 'deactivate'));
        }

        public function activate()
        {
            @copy(dirname(__FILE__) . '/object-cache.php', ABSPATH . 'wp-content/object-cache.php');
            @chmod(dirname(__FILE__) . '/cache', 0777);
        }

        public function deactivate()
        {
            @unlink(ABSPATH . 'wp-content/object-cache.php');
        }
    }

    $wp_file_cache = new WpFileCache();
?>